// module PlayerFront.ino
// Forwards command- characters from the player frontend GUI
// via 433MHZ sender module HC-12 to the
// player backend module (also HC-12 with Raspberry 3)
// Copyright Dr.E.Huckert 10-2017

const int ledPin = 13;
unsigned  ledVal = 0;
unsigned  count  = 0;
char      ch = 0;

// -------------------------------------------
void setup()
{
  Serial.begin(9600);
  pinMode(ledPin, OUTPUT);
  digitalWrite(ledPin, ledVal);
}

// --------------------------------------------
void loop()
{
  if (Serial.available() > 0)
  {
    // read from HC-12 module
    ch = Serial.read();
    // Send  the received char via TX pin 
    Serial.print(ch);
    count++;
    ledVal =  ! ledVal;
    digitalWrite(ledPin, ledVal);
  }
  else
  {
    delay(1);
  }
}   // end loop()
